(* Программа runls2 -- использует вызов execv для запуска ls *)
uses linux,stdio;

const
  av: array [0..2] of pchar=('ls', '-l', nil);
begin
  execv ('/bin/ls', av);
  (* Если мы оказались здесь, то произошла ошибка *)
  perror ('execv failed');
  halt(1);
end.
